compact1, compact2, compact3
java.security.cert

## Interface CertPathValidatorResult

All Superinterfaces:
  Cloneable

All Known Implementing Classes:
  PKIXCertPathBuilderResult, PKIXCertPathValidatorResult

    public interface CertPathValidatorResult
    extends Cloneable

A specification of the result of a certification path validator algorithm.

The purpose of this interface is to group (and provide type safety for) all certification path validator results. All results returned by the `CertPathValidator.validate` method must implement this interface.

Since:
  1.4
See Also:
  `CertPathValidator`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `clone()` Makes a copy of this `CertPathValidatorResult`.

### Method Detail

#### clone

    Object clone()

Makes a copy of this `CertPathValidatorResult`. Changes to the copy will not affect the original and vice versa.

Returns:
  a copy of this `CertPathValidatorResult`